/**
 * CasaOS API
 * <picture>     <source media=\"(prefers-color-scheme: dark)\" srcset=\"https://raw.githubusercontent.com/IceWhaleTech/logo/main/casaos/casaos_banner_dark_night_800px.png\">     <source media=\"(prefers-color-scheme: light)\" srcset=\"https://raw.githubusercontent.com/IceWhaleTech/logo/main/casaos/casaos_banner_twilight_blue_800px.png\">     <img alt=\"CasaOS\" src=\"https://raw.githubusercontent.com/IceWhaleTech/logo/main/casaos/casaos_banner_twilight_blue_800px.png\"> </picture>  CasaOS API provides miscellaneous methods for different scenarios.  For issues and discussions, please visit the [GitHub repository](https://github.com/IceWhaleTech/CasaOS) or join [our Discord](https://discord.gg/knqAbbBbeX).
 *
 * The version of the OpenAPI document: v2
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import type { Configuration } from './configuration';
import type { AxiosPromise, AxiosInstance, RawAxiosRequestConfig } from 'axios';
import type { RequestArgs } from './base';
import { BaseAPI } from './base';
/**
 *
 * @export
 * @interface BaseResponse
 */
export interface BaseResponse {
    /**
     * message returned by server side if there is any
     * @type {string}
     * @memberof BaseResponse
     */
    'message'?: string;
}
/**
 *
 * @export
 * @interface GetHealthPorts200Response
 */
export interface GetHealthPorts200Response {
    /**
     * message returned by server side if there is any
     * @type {string}
     * @memberof GetHealthPorts200Response
     */
    'message'?: string;
    /**
     *
     * @type {HealthPorts}
     * @memberof GetHealthPorts200Response
     */
    'data'?: HealthPorts;
}
/**
 *
 * @export
 * @interface GetHealthServices200Response
 */
export interface GetHealthServices200Response {
    /**
     * message returned by server side if there is any
     * @type {string}
     * @memberof GetHealthServices200Response
     */
    'message'?: string;
    /**
     *
     * @type {HealthServices}
     * @memberof GetHealthServices200Response
     */
    'data'?: HealthServices;
}
/**
 *
 * @export
 * @interface HealthPorts
 */
export interface HealthPorts {
    /**
     *
     * @type {Array<number>}
     * @memberof HealthPorts
     */
    'tcp'?: Array<number>;
    /**
     *
     * @type {Array<number>}
     * @memberof HealthPorts
     */
    'udp'?: Array<number>;
}
/**
 *
 * @export
 * @interface HealthServices
 */
export interface HealthServices {
    /**
     *
     * @type {Array<string>}
     * @memberof HealthServices
     */
    'running'?: Array<string>;
    /**
     *
     * @type {Array<string>}
     * @memberof HealthServices
     */
    'not_running'?: Array<string>;
}
/**
 *
 * @export
 * @interface SetZerotierNetworkStatusRequest
 */
export interface SetZerotierNetworkStatusRequest {
    /**
     *
     * @type {string}
     * @memberof SetZerotierNetworkStatusRequest
     */
    'status'?: SetZerotierNetworkStatusRequestStatusEnum;
}
export declare const SetZerotierNetworkStatusRequestStatusEnum: {
    readonly Online: "online";
    readonly Offline: "offline";
};
export type SetZerotierNetworkStatusRequestStatusEnum = typeof SetZerotierNetworkStatusRequestStatusEnum[keyof typeof SetZerotierNetworkStatusRequestStatusEnum];
/**
 *
 * @export
 * @interface SuccessResponseString
 */
export interface SuccessResponseString {
    /**
     * message returned by server side if there is any
     * @type {string}
     * @memberof SuccessResponseString
     */
    'message'?: string;
    /**
     * When the interface returns success, this field is the specific success information
     * @type {string}
     * @memberof SuccessResponseString
     */
    'data'?: string;
}
/**
 *
 * @export
 * @interface ZTInfo
 */
export interface ZTInfo {
    /**
     *
     * @type {string}
     * @memberof ZTInfo
     */
    'id'?: string;
    /**
     *
     * @type {string}
     * @memberof ZTInfo
     */
    'name'?: string;
    /**
     *
     * @type {string}
     * @memberof ZTInfo
     */
    'status'?: string;
}
/**
 * FileApi - axios parameter creator
 * @export
 */
export declare const FileApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     * Check if the file block has been uploaded (needs to be modified later)
     * @summary Check upload chunk
     * @param {string} path File path
     * @param {string} relativePath File path
     * @param {string} filename File name
     * @param {string} chunkNumber chunk number
     * @param {number} totalChunks total chunks
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    checkUploadChunk: (path: string, relativePath: string, filename: string, chunkNumber: string, totalChunks: number, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     * Upload file
     * @summary Upload file
     * @param {string} [relativePath]
     * @param {string} [filename]
     * @param {string} [totalChunks]
     * @param {string} [chunkNumber]
     * @param {string} [path]
     * @param {File} [file]
     * @param {string} [chunkSize]
     * @param {string} [currentChunkSize]
     * @param {string} [totalSize]
     * @param {string} [identifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUploadFile: (relativePath?: string, filename?: string, totalChunks?: string, chunkNumber?: string, path?: string, file?: File, chunkSize?: string, currentChunkSize?: string, totalSize?: string, identifier?: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * FileApi - functional programming interface
 * @export
 */
export declare const FileApiFp: (configuration?: Configuration) => {
    /**
     * Check if the file block has been uploaded (needs to be modified later)
     * @summary Check upload chunk
     * @param {string} path File path
     * @param {string} relativePath File path
     * @param {string} filename File name
     * @param {string} chunkNumber chunk number
     * @param {number} totalChunks total chunks
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    checkUploadChunk(path: string, relativePath: string, filename: string, chunkNumber: string, totalChunks: number, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SuccessResponseString>>;
    /**
     * Upload file
     * @summary Upload file
     * @param {string} [relativePath]
     * @param {string} [filename]
     * @param {string} [totalChunks]
     * @param {string} [chunkNumber]
     * @param {string} [path]
     * @param {File} [file]
     * @param {string} [chunkSize]
     * @param {string} [currentChunkSize]
     * @param {string} [totalSize]
     * @param {string} [identifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUploadFile(relativePath?: string, filename?: string, totalChunks?: string, chunkNumber?: string, path?: string, file?: File, chunkSize?: string, currentChunkSize?: string, totalSize?: string, identifier?: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SuccessResponseString>>;
};
/**
 * FileApi - factory interface
 * @export
 */
export declare const FileApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     * Check if the file block has been uploaded (needs to be modified later)
     * @summary Check upload chunk
     * @param {string} path File path
     * @param {string} relativePath File path
     * @param {string} filename File name
     * @param {string} chunkNumber chunk number
     * @param {number} totalChunks total chunks
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    checkUploadChunk(path: string, relativePath: string, filename: string, chunkNumber: string, totalChunks: number, options?: RawAxiosRequestConfig): AxiosPromise<SuccessResponseString>;
    /**
     * Upload file
     * @summary Upload file
     * @param {string} [relativePath]
     * @param {string} [filename]
     * @param {string} [totalChunks]
     * @param {string} [chunkNumber]
     * @param {string} [path]
     * @param {File} [file]
     * @param {string} [chunkSize]
     * @param {string} [currentChunkSize]
     * @param {string} [totalSize]
     * @param {string} [identifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUploadFile(relativePath?: string, filename?: string, totalChunks?: string, chunkNumber?: string, path?: string, file?: File, chunkSize?: string, currentChunkSize?: string, totalSize?: string, identifier?: string, options?: RawAxiosRequestConfig): AxiosPromise<SuccessResponseString>;
};
/**
 * FileApi - object-oriented interface
 * @export
 * @class FileApi
 * @extends {BaseAPI}
 */
export declare class FileApi extends BaseAPI {
    /**
     * Check if the file block has been uploaded (needs to be modified later)
     * @summary Check upload chunk
     * @param {string} path File path
     * @param {string} relativePath File path
     * @param {string} filename File name
     * @param {string} chunkNumber chunk number
     * @param {number} totalChunks total chunks
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FileApi
     */
    checkUploadChunk(path: string, relativePath: string, filename: string, chunkNumber: string, totalChunks: number, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<SuccessResponseString, any>>;
    /**
     * Upload file
     * @summary Upload file
     * @param {string} [relativePath]
     * @param {string} [filename]
     * @param {string} [totalChunks]
     * @param {string} [chunkNumber]
     * @param {string} [path]
     * @param {File} [file]
     * @param {string} [chunkSize]
     * @param {string} [currentChunkSize]
     * @param {string} [totalSize]
     * @param {string} [identifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FileApi
     */
    postUploadFile(relativePath?: string, filename?: string, totalChunks?: string, chunkNumber?: string, path?: string, file?: File, chunkSize?: string, currentChunkSize?: string, totalSize?: string, identifier?: string, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<SuccessResponseString, any>>;
}
/**
 * FileMethodsApi - axios parameter creator
 * @export
 */
export declare const FileMethodsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     * Test file methods.
     * @summary Test file methods
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFileTest: (options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * FileMethodsApi - functional programming interface
 * @export
 */
export declare const FileMethodsApiFp: (configuration?: Configuration) => {
    /**
     * Test file methods.
     * @summary Test file methods
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFileTest(options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<BaseResponse>>;
};
/**
 * FileMethodsApi - factory interface
 * @export
 */
export declare const FileMethodsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     * Test file methods.
     * @summary Test file methods
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFileTest(options?: RawAxiosRequestConfig): AxiosPromise<BaseResponse>;
};
/**
 * FileMethodsApi - object-oriented interface
 * @export
 * @class FileMethodsApi
 * @extends {BaseAPI}
 */
export declare class FileMethodsApi extends BaseAPI {
    /**
     * Test file methods.
     * @summary Test file methods
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FileMethodsApi
     */
    getFileTest(options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<BaseResponse, any>>;
}
/**
 * HealthMethodsApi - axios parameter creator
 * @export
 */
export declare const HealthMethodsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get port in use
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthPorts: (options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     * Get running status of each `casaos-*` service.
     * @summary Get service status
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthServices: (options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get log
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthlogs: (options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * HealthMethodsApi - functional programming interface
 * @export
 */
export declare const HealthMethodsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get port in use
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthPorts(options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GetHealthPorts200Response>>;
    /**
     * Get running status of each `casaos-*` service.
     * @summary Get service status
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthServices(options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GetHealthServices200Response>>;
    /**
     *
     * @summary Get log
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthlogs(options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<File>>;
};
/**
 * HealthMethodsApi - factory interface
 * @export
 */
export declare const HealthMethodsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get port in use
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthPorts(options?: RawAxiosRequestConfig): AxiosPromise<GetHealthPorts200Response>;
    /**
     * Get running status of each `casaos-*` service.
     * @summary Get service status
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthServices(options?: RawAxiosRequestConfig): AxiosPromise<GetHealthServices200Response>;
    /**
     *
     * @summary Get log
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthlogs(options?: RawAxiosRequestConfig): AxiosPromise<File>;
};
/**
 * HealthMethodsApi - object-oriented interface
 * @export
 * @class HealthMethodsApi
 * @extends {BaseAPI}
 */
export declare class HealthMethodsApi extends BaseAPI {
    /**
     *
     * @summary Get port in use
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HealthMethodsApi
     */
    getHealthPorts(options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<GetHealthPorts200Response, any>>;
    /**
     * Get running status of each `casaos-*` service.
     * @summary Get service status
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HealthMethodsApi
     */
    getHealthServices(options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<GetHealthServices200Response, any>>;
    /**
     *
     * @summary Get log
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HealthMethodsApi
     */
    getHealthlogs(options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<File, any>>;
}
/**
 * ZerotierMethodsApi - axios parameter creator
 * @export
 */
export declare const ZerotierMethodsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     * Get Zerotier info.
     * @summary Get Zerotier info
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getZerotierInfo: (options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     * Set Zerotier network status.
     * @summary Set Zerotier network status
     * @param {string} networkId network id
     * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setZerotierNetworkStatus: (networkId: string, setZerotierNetworkStatusRequest?: SetZerotierNetworkStatusRequest, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * ZerotierMethodsApi - functional programming interface
 * @export
 */
export declare const ZerotierMethodsApiFp: (configuration?: Configuration) => {
    /**
     * Get Zerotier info.
     * @summary Get Zerotier info
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getZerotierInfo(options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ZTInfo>>;
    /**
     * Set Zerotier network status.
     * @summary Set Zerotier network status
     * @param {string} networkId network id
     * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setZerotierNetworkStatus(networkId: string, setZerotierNetworkStatusRequest?: SetZerotierNetworkStatusRequest, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ZTInfo>>;
};
/**
 * ZerotierMethodsApi - factory interface
 * @export
 */
export declare const ZerotierMethodsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     * Get Zerotier info.
     * @summary Get Zerotier info
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getZerotierInfo(options?: RawAxiosRequestConfig): AxiosPromise<ZTInfo>;
    /**
     * Set Zerotier network status.
     * @summary Set Zerotier network status
     * @param {string} networkId network id
     * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setZerotierNetworkStatus(networkId: string, setZerotierNetworkStatusRequest?: SetZerotierNetworkStatusRequest, options?: RawAxiosRequestConfig): AxiosPromise<ZTInfo>;
};
/**
 * ZerotierMethodsApi - object-oriented interface
 * @export
 * @class ZerotierMethodsApi
 * @extends {BaseAPI}
 */
export declare class ZerotierMethodsApi extends BaseAPI {
    /**
     * Get Zerotier info.
     * @summary Get Zerotier info
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ZerotierMethodsApi
     */
    getZerotierInfo(options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ZTInfo, any>>;
    /**
     * Set Zerotier network status.
     * @summary Set Zerotier network status
     * @param {string} networkId network id
     * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ZerotierMethodsApi
     */
    setZerotierNetworkStatus(networkId: string, setZerotierNetworkStatusRequest?: SetZerotierNetworkStatusRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ZTInfo, any>>;
}
