"use strict";
/* tslint:disable */
/* eslint-disable */
/**
 * CasaOS API
 * <picture>     <source media=\"(prefers-color-scheme: dark)\" srcset=\"https://raw.githubusercontent.com/IceWhaleTech/logo/main/casaos/casaos_banner_dark_night_800px.png\">     <source media=\"(prefers-color-scheme: light)\" srcset=\"https://raw.githubusercontent.com/IceWhaleTech/logo/main/casaos/casaos_banner_twilight_blue_800px.png\">     <img alt=\"CasaOS\" src=\"https://raw.githubusercontent.com/IceWhaleTech/logo/main/casaos/casaos_banner_twilight_blue_800px.png\"> </picture>  CasaOS API provides miscellaneous methods for different scenarios.  For issues and discussions, please visit the [GitHub repository](https://github.com/IceWhaleTech/CasaOS) or join [our Discord](https://discord.gg/knqAbbBbeX).
 *
 * The version of the OpenAPI document: v2
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZerotierMethodsApi = exports.ZerotierMethodsApiFactory = exports.ZerotierMethodsApiFp = exports.ZerotierMethodsApiAxiosParamCreator = exports.HealthMethodsApi = exports.HealthMethodsApiFactory = exports.HealthMethodsApiFp = exports.HealthMethodsApiAxiosParamCreator = exports.FileMethodsApi = exports.FileMethodsApiFactory = exports.FileMethodsApiFp = exports.FileMethodsApiAxiosParamCreator = exports.FileApi = exports.FileApiFactory = exports.FileApiFp = exports.FileApiAxiosParamCreator = exports.SetZerotierNetworkStatusRequestStatusEnum = void 0;
const axios_1 = __importDefault(require("axios"));
// Some imports not used depending on template conditions
// @ts-ignore
const common_1 = require("./common");
// @ts-ignore
const base_1 = require("./base");
exports.SetZerotierNetworkStatusRequestStatusEnum = {
    Online: 'online',
    Offline: 'offline'
};
/**
 * FileApi - axios parameter creator
 * @export
 */
const FileApiAxiosParamCreator = function (configuration) {
    return {
        /**
         * Check if the file block has been uploaded (needs to be modified later)
         * @summary Check upload chunk
         * @param {string} path File path
         * @param {string} relativePath File path
         * @param {string} filename File name
         * @param {string} chunkNumber chunk number
         * @param {number} totalChunks total chunks
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        checkUploadChunk: (path, relativePath, filename, chunkNumber, totalChunks, options = {}) => __awaiter(this, void 0, void 0, function* () {
            // verify required parameter 'path' is not null or undefined
            (0, common_1.assertParamExists)('checkUploadChunk', 'path', path);
            // verify required parameter 'relativePath' is not null or undefined
            (0, common_1.assertParamExists)('checkUploadChunk', 'relativePath', relativePath);
            // verify required parameter 'filename' is not null or undefined
            (0, common_1.assertParamExists)('checkUploadChunk', 'filename', filename);
            // verify required parameter 'chunkNumber' is not null or undefined
            (0, common_1.assertParamExists)('checkUploadChunk', 'chunkNumber', chunkNumber);
            // verify required parameter 'totalChunks' is not null or undefined
            (0, common_1.assertParamExists)('checkUploadChunk', 'totalChunks', totalChunks);
            const localVarPath = `/file/upload`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            if (path !== undefined) {
                localVarQueryParameter['path'] = path;
            }
            if (relativePath !== undefined) {
                localVarQueryParameter['relativePath'] = relativePath;
            }
            if (filename !== undefined) {
                localVarQueryParameter['filename'] = filename;
            }
            if (chunkNumber !== undefined) {
                localVarQueryParameter['chunkNumber'] = chunkNumber;
            }
            if (totalChunks !== undefined) {
                localVarQueryParameter['totalChunks'] = totalChunks;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         * Upload file
         * @summary Upload file
         * @param {string} [relativePath]
         * @param {string} [filename]
         * @param {string} [totalChunks]
         * @param {string} [chunkNumber]
         * @param {string} [path]
         * @param {File} [file]
         * @param {string} [chunkSize]
         * @param {string} [currentChunkSize]
         * @param {string} [totalSize]
         * @param {string} [identifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        postUploadFile: (relativePath, filename, totalChunks, chunkNumber, path, file, chunkSize, currentChunkSize, totalSize, identifier, options = {}) => __awaiter(this, void 0, void 0, function* () {
            const localVarPath = `/file/upload`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            const localVarFormParams = new ((configuration && configuration.formDataCtor) || FormData)();
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            if (relativePath !== undefined) {
                localVarFormParams.append('relativePath', relativePath);
            }
            if (filename !== undefined) {
                localVarFormParams.append('filename', filename);
            }
            if (totalChunks !== undefined) {
                localVarFormParams.append('totalChunks', totalChunks);
            }
            if (chunkNumber !== undefined) {
                localVarFormParams.append('chunkNumber', chunkNumber);
            }
            if (path !== undefined) {
                localVarFormParams.append('path', path);
            }
            if (file !== undefined) {
                localVarFormParams.append('file', file);
            }
            if (chunkSize !== undefined) {
                localVarFormParams.append('chunkSize', chunkSize);
            }
            if (currentChunkSize !== undefined) {
                localVarFormParams.append('currentChunkSize', currentChunkSize);
            }
            if (totalSize !== undefined) {
                localVarFormParams.append('totalSize', totalSize);
            }
            if (identifier !== undefined) {
                localVarFormParams.append('identifier', identifier);
            }
            localVarHeaderParameter['Content-Type'] = 'multipart/form-data';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = localVarFormParams;
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
    };
};
exports.FileApiAxiosParamCreator = FileApiAxiosParamCreator;
/**
 * FileApi - functional programming interface
 * @export
 */
const FileApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.FileApiAxiosParamCreator)(configuration);
    return {
        /**
         * Check if the file block has been uploaded (needs to be modified later)
         * @summary Check upload chunk
         * @param {string} path File path
         * @param {string} relativePath File path
         * @param {string} filename File name
         * @param {string} chunkNumber chunk number
         * @param {number} totalChunks total chunks
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        checkUploadChunk(path, relativePath, filename, chunkNumber, totalChunks, options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.checkUploadChunk(path, relativePath, filename, chunkNumber, totalChunks, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['FileApi.checkUploadChunk']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         * Upload file
         * @summary Upload file
         * @param {string} [relativePath]
         * @param {string} [filename]
         * @param {string} [totalChunks]
         * @param {string} [chunkNumber]
         * @param {string} [path]
         * @param {File} [file]
         * @param {string} [chunkSize]
         * @param {string} [currentChunkSize]
         * @param {string} [totalSize]
         * @param {string} [identifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        postUploadFile(relativePath, filename, totalChunks, chunkNumber, path, file, chunkSize, currentChunkSize, totalSize, identifier, options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.postUploadFile(relativePath, filename, totalChunks, chunkNumber, path, file, chunkSize, currentChunkSize, totalSize, identifier, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['FileApi.postUploadFile']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
    };
};
exports.FileApiFp = FileApiFp;
/**
 * FileApi - factory interface
 * @export
 */
const FileApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.FileApiFp)(configuration);
    return {
        /**
         * Check if the file block has been uploaded (needs to be modified later)
         * @summary Check upload chunk
         * @param {string} path File path
         * @param {string} relativePath File path
         * @param {string} filename File name
         * @param {string} chunkNumber chunk number
         * @param {number} totalChunks total chunks
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        checkUploadChunk(path, relativePath, filename, chunkNumber, totalChunks, options) {
            return localVarFp.checkUploadChunk(path, relativePath, filename, chunkNumber, totalChunks, options).then((request) => request(axios, basePath));
        },
        /**
         * Upload file
         * @summary Upload file
         * @param {string} [relativePath]
         * @param {string} [filename]
         * @param {string} [totalChunks]
         * @param {string} [chunkNumber]
         * @param {string} [path]
         * @param {File} [file]
         * @param {string} [chunkSize]
         * @param {string} [currentChunkSize]
         * @param {string} [totalSize]
         * @param {string} [identifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        postUploadFile(relativePath, filename, totalChunks, chunkNumber, path, file, chunkSize, currentChunkSize, totalSize, identifier, options) {
            return localVarFp.postUploadFile(relativePath, filename, totalChunks, chunkNumber, path, file, chunkSize, currentChunkSize, totalSize, identifier, options).then((request) => request(axios, basePath));
        },
    };
};
exports.FileApiFactory = FileApiFactory;
/**
 * FileApi - object-oriented interface
 * @export
 * @class FileApi
 * @extends {BaseAPI}
 */
class FileApi extends base_1.BaseAPI {
    /**
     * Check if the file block has been uploaded (needs to be modified later)
     * @summary Check upload chunk
     * @param {string} path File path
     * @param {string} relativePath File path
     * @param {string} filename File name
     * @param {string} chunkNumber chunk number
     * @param {number} totalChunks total chunks
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FileApi
     */
    checkUploadChunk(path, relativePath, filename, chunkNumber, totalChunks, options) {
        return (0, exports.FileApiFp)(this.configuration).checkUploadChunk(path, relativePath, filename, chunkNumber, totalChunks, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     * Upload file
     * @summary Upload file
     * @param {string} [relativePath]
     * @param {string} [filename]
     * @param {string} [totalChunks]
     * @param {string} [chunkNumber]
     * @param {string} [path]
     * @param {File} [file]
     * @param {string} [chunkSize]
     * @param {string} [currentChunkSize]
     * @param {string} [totalSize]
     * @param {string} [identifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FileApi
     */
    postUploadFile(relativePath, filename, totalChunks, chunkNumber, path, file, chunkSize, currentChunkSize, totalSize, identifier, options) {
        return (0, exports.FileApiFp)(this.configuration).postUploadFile(relativePath, filename, totalChunks, chunkNumber, path, file, chunkSize, currentChunkSize, totalSize, identifier, options).then((request) => request(this.axios, this.basePath));
    }
}
exports.FileApi = FileApi;
/**
 * FileMethodsApi - axios parameter creator
 * @export
 */
const FileMethodsApiAxiosParamCreator = function (configuration) {
    return {
        /**
         * Test file methods.
         * @summary Test file methods
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getFileTest: (options = {}) => __awaiter(this, void 0, void 0, function* () {
            const localVarPath = `/file/test`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
    };
};
exports.FileMethodsApiAxiosParamCreator = FileMethodsApiAxiosParamCreator;
/**
 * FileMethodsApi - functional programming interface
 * @export
 */
const FileMethodsApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.FileMethodsApiAxiosParamCreator)(configuration);
    return {
        /**
         * Test file methods.
         * @summary Test file methods
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getFileTest(options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.getFileTest(options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['FileMethodsApi.getFileTest']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
    };
};
exports.FileMethodsApiFp = FileMethodsApiFp;
/**
 * FileMethodsApi - factory interface
 * @export
 */
const FileMethodsApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.FileMethodsApiFp)(configuration);
    return {
        /**
         * Test file methods.
         * @summary Test file methods
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getFileTest(options) {
            return localVarFp.getFileTest(options).then((request) => request(axios, basePath));
        },
    };
};
exports.FileMethodsApiFactory = FileMethodsApiFactory;
/**
 * FileMethodsApi - object-oriented interface
 * @export
 * @class FileMethodsApi
 * @extends {BaseAPI}
 */
class FileMethodsApi extends base_1.BaseAPI {
    /**
     * Test file methods.
     * @summary Test file methods
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FileMethodsApi
     */
    getFileTest(options) {
        return (0, exports.FileMethodsApiFp)(this.configuration).getFileTest(options).then((request) => request(this.axios, this.basePath));
    }
}
exports.FileMethodsApi = FileMethodsApi;
/**
 * HealthMethodsApi - axios parameter creator
 * @export
 */
const HealthMethodsApiAxiosParamCreator = function (configuration) {
    return {
        /**
         *
         * @summary Get port in use
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthPorts: (options = {}) => __awaiter(this, void 0, void 0, function* () {
            const localVarPath = `/health/ports`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         * Get running status of each `casaos-*` service.
         * @summary Get service status
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthServices: (options = {}) => __awaiter(this, void 0, void 0, function* () {
            const localVarPath = `/health/services`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Get log
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthlogs: (options = {}) => __awaiter(this, void 0, void 0, function* () {
            const localVarPath = `/health/logs`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
    };
};
exports.HealthMethodsApiAxiosParamCreator = HealthMethodsApiAxiosParamCreator;
/**
 * HealthMethodsApi - functional programming interface
 * @export
 */
const HealthMethodsApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.HealthMethodsApiAxiosParamCreator)(configuration);
    return {
        /**
         *
         * @summary Get port in use
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthPorts(options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.getHealthPorts(options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['HealthMethodsApi.getHealthPorts']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         * Get running status of each `casaos-*` service.
         * @summary Get service status
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthServices(options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.getHealthServices(options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['HealthMethodsApi.getHealthServices']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Get log
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthlogs(options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.getHealthlogs(options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['HealthMethodsApi.getHealthlogs']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
    };
};
exports.HealthMethodsApiFp = HealthMethodsApiFp;
/**
 * HealthMethodsApi - factory interface
 * @export
 */
const HealthMethodsApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.HealthMethodsApiFp)(configuration);
    return {
        /**
         *
         * @summary Get port in use
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthPorts(options) {
            return localVarFp.getHealthPorts(options).then((request) => request(axios, basePath));
        },
        /**
         * Get running status of each `casaos-*` service.
         * @summary Get service status
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthServices(options) {
            return localVarFp.getHealthServices(options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Get log
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHealthlogs(options) {
            return localVarFp.getHealthlogs(options).then((request) => request(axios, basePath));
        },
    };
};
exports.HealthMethodsApiFactory = HealthMethodsApiFactory;
/**
 * HealthMethodsApi - object-oriented interface
 * @export
 * @class HealthMethodsApi
 * @extends {BaseAPI}
 */
class HealthMethodsApi extends base_1.BaseAPI {
    /**
     *
     * @summary Get port in use
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HealthMethodsApi
     */
    getHealthPorts(options) {
        return (0, exports.HealthMethodsApiFp)(this.configuration).getHealthPorts(options).then((request) => request(this.axios, this.basePath));
    }
    /**
     * Get running status of each `casaos-*` service.
     * @summary Get service status
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HealthMethodsApi
     */
    getHealthServices(options) {
        return (0, exports.HealthMethodsApiFp)(this.configuration).getHealthServices(options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Get log
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HealthMethodsApi
     */
    getHealthlogs(options) {
        return (0, exports.HealthMethodsApiFp)(this.configuration).getHealthlogs(options).then((request) => request(this.axios, this.basePath));
    }
}
exports.HealthMethodsApi = HealthMethodsApi;
/**
 * ZerotierMethodsApi - axios parameter creator
 * @export
 */
const ZerotierMethodsApiAxiosParamCreator = function (configuration) {
    return {
        /**
         * Get Zerotier info.
         * @summary Get Zerotier info
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getZerotierInfo: (options = {}) => __awaiter(this, void 0, void 0, function* () {
            const localVarPath = `/zt/info`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         * Set Zerotier network status.
         * @summary Set Zerotier network status
         * @param {string} networkId network id
         * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        setZerotierNetworkStatus: (networkId, setZerotierNetworkStatusRequest, options = {}) => __awaiter(this, void 0, void 0, function* () {
            // verify required parameter 'networkId' is not null or undefined
            (0, common_1.assertParamExists)('setZerotierNetworkStatus', 'networkId', networkId);
            const localVarPath = `/zt/{network_id}/status`
                .replace(`{${"network_id"}}`, encodeURIComponent(String(networkId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'PUT' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication access_token required
            yield (0, common_1.setApiKeyToObject)(localVarHeaderParameter, "Authorization", configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(setZerotierNetworkStatusRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
    };
};
exports.ZerotierMethodsApiAxiosParamCreator = ZerotierMethodsApiAxiosParamCreator;
/**
 * ZerotierMethodsApi - functional programming interface
 * @export
 */
const ZerotierMethodsApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.ZerotierMethodsApiAxiosParamCreator)(configuration);
    return {
        /**
         * Get Zerotier info.
         * @summary Get Zerotier info
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getZerotierInfo(options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.getZerotierInfo(options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['ZerotierMethodsApi.getZerotierInfo']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         * Set Zerotier network status.
         * @summary Set Zerotier network status
         * @param {string} networkId network id
         * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        setZerotierNetworkStatus(networkId, setZerotierNetworkStatusRequest, options) {
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function* () {
                const localVarAxiosArgs = yield localVarAxiosParamCreator.setZerotierNetworkStatus(networkId, setZerotierNetworkStatusRequest, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['ZerotierMethodsApi.setZerotierNetworkStatus']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
    };
};
exports.ZerotierMethodsApiFp = ZerotierMethodsApiFp;
/**
 * ZerotierMethodsApi - factory interface
 * @export
 */
const ZerotierMethodsApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.ZerotierMethodsApiFp)(configuration);
    return {
        /**
         * Get Zerotier info.
         * @summary Get Zerotier info
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getZerotierInfo(options) {
            return localVarFp.getZerotierInfo(options).then((request) => request(axios, basePath));
        },
        /**
         * Set Zerotier network status.
         * @summary Set Zerotier network status
         * @param {string} networkId network id
         * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        setZerotierNetworkStatus(networkId, setZerotierNetworkStatusRequest, options) {
            return localVarFp.setZerotierNetworkStatus(networkId, setZerotierNetworkStatusRequest, options).then((request) => request(axios, basePath));
        },
    };
};
exports.ZerotierMethodsApiFactory = ZerotierMethodsApiFactory;
/**
 * ZerotierMethodsApi - object-oriented interface
 * @export
 * @class ZerotierMethodsApi
 * @extends {BaseAPI}
 */
class ZerotierMethodsApi extends base_1.BaseAPI {
    /**
     * Get Zerotier info.
     * @summary Get Zerotier info
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ZerotierMethodsApi
     */
    getZerotierInfo(options) {
        return (0, exports.ZerotierMethodsApiFp)(this.configuration).getZerotierInfo(options).then((request) => request(this.axios, this.basePath));
    }
    /**
     * Set Zerotier network status.
     * @summary Set Zerotier network status
     * @param {string} networkId network id
     * @param {SetZerotierNetworkStatusRequest} [setZerotierNetworkStatusRequest]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ZerotierMethodsApi
     */
    setZerotierNetworkStatus(networkId, setZerotierNetworkStatusRequest, options) {
        return (0, exports.ZerotierMethodsApiFp)(this.configuration).setZerotierNetworkStatus(networkId, setZerotierNetworkStatusRequest, options).then((request) => request(this.axios, this.basePath));
    }
}
exports.ZerotierMethodsApi = ZerotierMethodsApi;
